## sequitur-g2p 0+r1668.r3

=== Makefile ===
default:	build

PYTHON	= python

build:
	$(PYTHON) setup.py build
build-py:
	$(PYTHON) setup.py build_py

.PHONY:	build

test:	build
	mkdir -p tmp-test-install
	$(PYTHON) setup.py install --skip-build --prefix tmp-test-install
	export PYTHONPATH=tmp-test-install/lib/python2.7/site-packages; \
	$(PYTHON) test_mGramCounts.py		;\
#	$(PYTHON) test_SparseVector.py		;\
#	$(PYTHON) test_LanguageModel.py		;\
	$(PYTHON) test_Minimization.py		;\
	$(PYTHON) test_SequenceModel.py		;\
#	$(PYTHON) test_IntTuple.py		;\
	$(PYTHON) test_sequitur.py
#	rm -r tmp-test-install

INSTALL_TARGET = $(HOME)/sr/lib-$(ARX)

install: build
	umask 022; \
	$(PYTHON) setup.py install --skip-build --home $(INSTALL_TARGET)

clean:
	rm -rf tmp-test-install
	rm -f *~
	rm -rf build dist
	rm -f *.pyc
	rm -f SparseVector.c
	rm -f sequitur_.py sequitur_wrap.cpp


release:
	d=$$(mktemp -d); \
	  mkdir $$d/g2p; \
	  cp *.cc *.hh *.py *.pyx *.i *.sh CHANGES LICENSE README Makefile $$d/g2p; \
	  cd $$d; \
	  rm g2p/sequitur_.py; \
	  tar cvzf g2p.tar.gz g2p; \
	  rm -rf g2p; \
	  cd -; \
	  mv $$d/g2p.tar.gz .

# ---------------------------------------------------------------------------

TARGETS	= \
	_sequitur_.so sequitur_.py	\
	Evaluation.py  Minimization.py SequenceModel.py sequitur.py g2p.py \
	misc.py tool.py

=== debian/changelog ===
sequitur-g2p (0+r1668.r3-1) experimental; urgency=medium

  * New upstream version 0+r1668.r3
  * Fix watch file.
  * Refresh 1005_spelling_fixes.patch
    and 1010_fix_compilation_warnings.patch.
    These patches have been partially applied upstream.
  * Drop 1001_compilation_fixes.patch, 1003_fix_string_exception.patch,
    1004_fixes_undefined_name.patch, 1006_remove_DEBUG_prints.patch,
    1007_enable_gzip_module.patch,
    1008_avoid_except_usage_without_type.patch,
    1009_fix_tempfile_generation.patch,
    1011_increase_multigram_size.patch, 1012_add_swig_opts_to_setup.patch,
    1013_declare_numpy_1.7_compatibility.patch,
    1014_fix_compilation_with_cxx11.patch and
    1015_fixes_for_python3.patch.
    All these patches have been applied upstream with minimal changes.
  * Do not backup misc.pyc.
    This file has been dropped upstream, so it does not need to be
    preserved anymore.

 -- Giulio Paci <giuliopaci@gmail.com>  Fri, 06 May 2016 01:24:31 +0200

sequitur-g2p (0+r1668-3) experimental; urgency=medium

  * Refresh and improve 1010_fix_compilation_warnings.patch.
  * Switch to secure URIs in Vcs-* fields.
  * Add 1011_increase_multigram_size.patch,
        1012_add_swig_opts_to_setup.patch,
        1013_declare_numpy_1.7_compatibility.patch,
        1014_fix_compilation_with_cxx11.patch,
        1015_fixes_for_python3.patch.
  * Bump Standards-Version to 3.9.8
    No changes required.

 -- Giulio Paci <giuliopaci@gmail.com>  Sun, 24 Apr 2016 01:24:02 +0200

sequitur-g2p (0+r1668-2) experimental; urgency=low

  * Switch from python-support to dh_python2
    Closes: #786139.
  * Bump Standards-Version to 3.9.6
    No changes required.
  * Add 1010_fix_compilation_warnings.patch.

 -- Giulio Paci <giuliopaci@gmail.com>  Fri, 22 May 2015 21:54:28 +0200

sequitur-g2p (0+r1668-1) experimental; urgency=low

  * Initial release
    Closes: #696779.

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 01 May 2013 11:32:00 +0200

=== debian/control ===
Source: sequitur-g2p
Section: science
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Build-Depends: cdbs (>= 0.4.91~),
 devscripts,
 python,
 debhelper (>= 9~),
 dh-buildinfo,
 dpkg-dev (>= 1.16.1~),
 python-dev,
 python-numpy,
 swig,
 help2man,
 dh-python
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/sequitur-g2p.git/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sequitur-g2p.git/
Homepage: http://www-i6.informatik.rwth-aachen.de/web/Software/g2p.html

Package: sequitur-g2p
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Grapheme to Phoneme conversion tool
 Sequitur G2P is a data-driven grapheme-to-phoneme converter. It can
 be applied to any monotonous sequence translation problem, provided
 the source and target alphabets are small (less than 255
 symbols). Data-driven means that you need to train it with example
 pronunciations. Training takes a pronunciation dictionary and
 creates a model file. The model file can then be used to transcribe
 words that where not in the dictionary.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = "hardening=+all,-pie"
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_COPYRIGHT_CHECK_IGNORE_REGEX := ^debian/(changelog|copyright(|_hints|_newhints))$$|.*[.](pyc)$$

DEB_PYTHON_DISTUTILS_INSTALLDIR_SKEL = /usr/lib/sequitur-g2p/@PYTHONBINARY@/dist-packages
DEB_PYTHON2_MODULE_PACKAGES=sequitur-g2p

BACKUP=setup.py

clean::
	# Backup files expected to be modified.
	set -e ; for i in $(BACKUP); do \
		if [ ! -f "$$i".backup ]; then cp -a "$$i" "$$i".backup; fi ; \
	done

PYTHON_PATH=debian/$(cdbs_curpkg)/usr/lib/sequitur-g2p/$(shell pyversions -d)/dist-packages

binary-post-install/sequitur-g2p::
	sed -e 's-^#!/usr/bin/python2[.][[:digit:]]\+-#!/usr/bin/python-g' \
		debian/$(cdbs_curpkg)/usr/bin/g2p.py \
	| sed ':a;$$!{N;ba};s#\nimport#import sys\nsys.path.insert(0,"/usr/lib/sequitur-g2p/python"+str(sys.version_info[0])+"."+str(sys.version_info[1])+"/dist-packages")&#' \
	> debian/$(cdbs_curpkg)/usr/bin/sequitur-g2p
	$(RM) debian/$(cdbs_curpkg)/usr/bin/g2p.py
	chmod 755 debian/$(cdbs_curpkg)/usr/bin/sequitur-g2p
	PYTHONPATH=$(PYTHON_PATH) help2man debian/$(cdbs_curpkg)/usr/bin/sequitur-g2p --no-info --name="grapheme-to-phoneme conversion tool" --version-string=0+r1668 > sequitur-g2p.1
	[ -x /usr/bin/dh_numpy ] && dh_numpy || :

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
cdbs_python_supported_versions := $(cdbs_python_current_version)
cdbs_python_builddeps = 
DEB_TAR_SRCDIR := .

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
binary-post-install/sequitur-g2p::
	PYTHONPATH=$(PYTHON_PATH) python test_mGramCounts.py
	PYTHONPATH=$(PYTHON_PATH) python test_Minimization.py
	PYTHONPATH=$(PYTHON_PATH) python test_SequenceModel.py
	PYTHONPATH=$(PYTHON_PATH) python test_sequitur.py
endif

pre-build::
	# Backup files expected to be modified.
	set -e ; for i in $(BACKUP); do \
		if [ ! -f "$$i".backup ]; then cp -a "$$i" "$$i".backup; fi ; \
	done
	sed -e 's/perpetually-alpha/$(DEB_UPSTREAM_VERSION)/' setup.py.backup > setup.py

clean::
	set -e ; for i in $(BACKUP); do \
		if [ -f "$$i".backup ]; then mv -f "$$i".backup "$$i"; fi ; \
	done
	$(RM) sequitur_.py sequitur_wrap.cpp sequitur-g2p.1


# Needed by upstream build process
CDBS_BUILD_DEPENDS += , dpkg-dev (>= 1.16.1~), python-dev, python-numpy, swig, help2man, dh-python

=== debian/watch ===
version=3
opts="uversionmangle=s/[-_]/./g;s/^(.*)$/0+$1/" \
	http://www-i6.informatik.rwth-aachen.de/web/Software/g2p.html .*g2p-(r\d[\d\.]*(?:-r\d[\d\.]*)?)\.tar\.gz
